Debian Bug report logs - #512658
ITP: coccinelle -- semantic patching tool for C

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Євгеній Мещеряков <eugen@debian.org>

Date: Thu, 22 Jan 2009 16:27:01 UTC

Owned by: "Євгеній Мещеряков" <eugen@debian.org>

Severity: wishlist

Fixed in version coccinelle/0.1.5dbs-1

Done: Євгеній Мещеряков <eugen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>:
Bug#512658; Package wnpp. (Thu, 22 Jan 2009 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Євгеній Мещеряков <eugen@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>. (Thu, 22 Jan 2009 16:27:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Євгеній Мещеряков <eugen@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: coccinelle -- semantic patching tool for C
Date: Thu, 22 Jan 2009 17:24:49 +0100
Package: wnpp
Severity: wishlist
Owner: "Євгеній Мещеряков" <eugen@debian.org>

* Package name    : coccinelle
  Version         : >= 0.1.4
  Upstream Authors: Julia Lawall <julia@diku.dk>
                    Yoann Padioleau <yoann.padioleau@gmail.com>
                    Rene Rydhof Hansen <rrhansen@diku.dk>
                    Henrik Stuart <henrik@hstuart.dk>
* URL             : http://www.emn.fr/x-info/coccinelle/
* License         : GPLv2
  Programming Lang: OCaml, Python
  Description     : semantic patching tool for C

Cocinelle is a program matching and transformation tool for C.
The programmer describes the code to match and the transformation to
perform as a semantic patch, which looks like a standard patch, but can
transform multiple files at any number of code sites.

The description is from spatch manpage. Better description is welcome.

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>:
Bug#512658; Package wnpp. (Thu, 22 Jan 2009 16:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>. (Thu, 22 Jan 2009 16:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 512658@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: debian-devel@lists.debian.org
Cc: 512658@bugs.debian.org, Debian OCaml Maint ML <debian-ocaml-maint@lists.debian.org>
Subject: Re: Bug#512658: ITP: coccinelle -- semantic patching tool for C
Date: Thu, 22 Jan 2009 17:53:46 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jan 22, 2009 at 05:24:49PM +0100, Євгеній Мещеряков wrote:
> * Package name    : coccinelle
>   Version         : >= 0.1.4
>   Upstream Authors: Julia Lawall <julia@diku.dk>
>                     Yoann Padioleau <yoann.padioleau@gmail.com>
>                     Rene Rydhof Hansen <rrhansen@diku.dk>
>                     Henrik Stuart <henrik@hstuart.dk>
> * URL             : http://www.emn.fr/x-info/coccinelle/
> * License         : GPLv2
>   Programming Lang: OCaml, Python
>   Description     : semantic patching tool for C

Please get in touch with Debian OCaml maintainers (Cc-ed) to maintain
this package, possibly using a git repo under the hood of the
collaborative package maintenance. Also, please read the OCaml policy,
et al. :)

Thanks for your interest in packaging that!
Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>:
Bug#512658; Package wnpp. (Thu, 22 Jan 2009 23:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugeniy Meshcheryakov <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>. (Thu, 22 Jan 2009 23:33:06 GMT) Full text and rfc822 format available.

Message #15 received at 512658@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugen@debian.org>
To: 512658@bugs.debian.org, Debian OCaml Maint ML <debian-ocaml-maint@lists.debian.org>
Subject: Re: Bug#512658: ITP: coccinelle -- semantic patching tool for C
Date: Fri, 23 Jan 2009 00:30:19 +0100
[Message part 1 (text/plain, inline)]
Hello,

22 січня 2009 о 17:53 +0100 Stefano Zacchiroli написав(-ла):
> Please get in touch with Debian OCaml maintainers (Cc-ed)
Yeah, doing this now ;) I have some problems with this package.
It contains copies of at least two libraries: pycaml and menhir 
(at least part of it). I want to eliminate them from the package.
But it is not so easy.

pycaml version in coccinelle is modified. Diff can be found in 
pycaml/modif-orig.txt (not complete). The most important part,
it seems, is:

+++ b/pycaml_ml.c       2008-03-27 12:15:23.000000000 +0100
@@ -1385,3 +1430,24 @@

     CAMLreturn(Val_unit);
 }
+
+value pycaml_setargs(value argv) {
+  CAMLparam1(argv);
+  char* cargv[1];
+
+  cargv[0] = String_val(argv);
+
+  PySys_SetArgv(1, cargv);
+
+  CAMLreturn0;
+}
+
+value pytrue( value unit ) {
+    CAMLparam1(unit);
+    CAMLreturn(pywrap(Py_True));
+}
+
+value pyfalse(value unit) {
+    CAMLparam1(unit);
+    CAMLreturn(pywrap(Py_False));
+}

Is it possible to provide those functions in Debian pycaml package
(at least experimental)? I can make patch if such API changes are acceptable.
Or maybe there is some way to emulate them?

Coccinella uses both menhir command with --table parameter, that is not
found in current Debian package (but is present in upstream) and menhirlib
(not in Debian AFAICS).

I'd like to have both package at least in experimental. But if this is not
possible I'll probably disable python support (pycaml generates some .so's,
so it is not possible to have arch-all package).

> Also, please read the OCaml policy, et al. :)
Sure, I did this already ;)

Regards,
Eugeniy Meshcheryakov
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>:
Bug#512658; Package wnpp. (Fri, 23 Jan 2009 07:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <steph@glondu.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>. (Fri, 23 Jan 2009 07:51:03 GMT) Full text and rfc822 format available.

Message #20 received at 512658@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <steph@glondu.net>
To: Eugeniy Meshcheryakov <eugen@debian.org>
Cc: 512658@bugs.debian.org, Debian OCaml Maint ML <debian-ocaml-maint@lists.debian.org>
Subject: Re: Bug#512658: ITP: coccinelle -- semantic patching tool for C
Date: Fri, 23 Jan 2009 08:48:20 +0100
Eugeniy Meshcheryakov a écrit :
> pycaml version in coccinelle is modified. Diff can be found in 
> pycaml/modif-orig.txt (not complete). The most important part,
> it seems, is:
> [...]
> Is it possible to provide those functions in Debian pycaml package
> (at least experimental)? I can make patch if such API changes are acceptable.
> Or maybe there is some way to emulate them?

Have you tried to contact pycaml upstream? It would be the proper
location to submit a patch. Moreover, your functions look like they
could be put outside of pycaml. The pycaml_setargs doesn't look generic
enough. Maybe pywrap may cause problem, but if there is something that
converts Py_True and Py_False to a C int (or directly a C version of
them) in the Python library (and I bet there is), you can drop the
dependency on pywrap. I'd rather prefer making proper stubs for
coccinelle, and waiting for upstream pycaml to incorporate your patch.

> Coccinella uses both menhir command with --table parameter, that is not
> found in current Debian package (but is present in upstream) and menhirlib
> (not in Debian AFAICS).

menhir is being updated.


Cheers,

-- 
Stéphane





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>:
Bug#512658; Package wnpp. (Fri, 23 Jan 2009 10:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi.dogguy@pps.jussieu.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>. (Fri, 23 Jan 2009 10:06:07 GMT) Full text and rfc822 format available.

Message #25 received at 512658@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi.dogguy@pps.jussieu.fr>
To: Eugeniy Meshcheryakov <eugen@debian.org>
Cc: 512658@bugs.debian.org, Debian OCaml Maint ML <debian-ocaml-maint@lists.debian.org>
Subject: Re: Bug#512658: ITP: coccinelle -- semantic patching tool for C
Date: Fri, 23 Jan 2009 11:04:09 +0100

Eugeniy Meshcheryakov wrote:
> 
> Coccinella uses both menhir command with --table parameter, that is not
> found in current Debian package (but is present in upstream) and menhirlib
> (not in Debian AFAICS).
> 

The menhir package will be updated soon. It will include the newest
version of Menhir.
The MenhirLib wasn't shipped because nobody requested it, but I'll put
it if you need it.

Then, I have to find a sponsor for the upload :) I'll send a RFS to d-o-m.

-- 
Mehdi Dogguy مهدي الدقي
http://www.pps.jussieu.fr/~dogguy
Tel.: (+33).1.44.27.28.38




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>:
Bug#512658; Package wnpp. (Fri, 23 Jan 2009 10:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugeniy Meshcheryakov <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>. (Fri, 23 Jan 2009 10:09:06 GMT) Full text and rfc822 format available.

Message #30 received at 512658@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugen@debian.org>
To: 512658@bugs.debian.org, Debian OCaml Maint ML <debian-ocaml-maint@lists.debian.org>
Subject: Re: Bug#512658: ITP: coccinelle -- semantic patching tool for C
Date: Fri, 23 Jan 2009 11:01:38 +0100
[Message part 1 (text/plain, inline)]
23 січня 2009 о 08:48 +0100 Stéphane Glondu написав(-ла):
> Eugeniy Meshcheryakov a écrit :
> > pycaml version in coccinelle is modified. Diff can be found in 
> > pycaml/modif-orig.txt (not complete). The most important part,
> > it seems, is:
> > [...]
> > Is it possible to provide those functions in Debian pycaml package
> > (at least experimental)? I can make patch if such API changes are acceptable.
> > Or maybe there is some way to emulate them?
> 
> Have you tried to contact pycaml upstream?
No, not yet. But last upstream release was in 2004, i'm not sure if the
maintainer is still active...

> > Coccinella uses both menhir command with --table parameter, that is not
> > found in current Debian package (but is present in upstream) and menhirlib
> > (not in Debian AFAICS).
> 
> menhir is being updated.
Thanks
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>:
Bug#512658; Package wnpp. (Fri, 23 Jan 2009 22:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Jones <rich@annexia.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>. (Fri, 23 Jan 2009 22:54:05 GMT) Full text and rfc822 format available.

Message #35 received at 512658@bugs.debian.org (full text, mbox):

From: Richard Jones <rich@annexia.org>
To: Eugeniy Meshcheryakov <eugen@debian.org>
Cc: 512658@bugs.debian.org, Debian OCaml Maint ML <debian-ocaml-maint@lists.debian.org>
Subject: Re: Bug#512658: ITP: coccinelle -- semantic patching tool for C
Date: Fri, 23 Jan 2009 22:51:12 +0000
[Message part 1 (text/plain, inline)]
On Fri, Jan 23, 2009 at 12:30:19AM +0100, Eugeniy Meshcheryakov wrote:
> pycaml version in coccinelle is modified. Diff can be found in 
> pycaml/modif-orig.txt (not complete). The most important part,
> it seems, is:

I guess you've already seen it, but I posted an additional patch that
is needed for Python 2.6.  HOWEVER I'm not very confident that the
patch is correct :-(

Rich.

-- 
Richard Jones
Red Hat
[coccinelle-0.1.4-python26.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>:
Bug#512658; Package wnpp. (Mon, 26 Jan 2009 13:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugeniy Meshcheryakov <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>. (Mon, 26 Jan 2009 13:09:02 GMT) Full text and rfc822 format available.

Message #40 received at 512658@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugen@debian.org>
To: 512658@bugs.debian.org, Debian OCaml Maint ML <debian-ocaml-maint@lists.debian.org>
Subject: Re: Bug#512658: ITP: coccinelle -- semantic patching tool for C
Date: Mon, 26 Jan 2009 14:07:10 +0100
[Message part 1 (text/plain, inline)]
Hello,

If someone interested, I uploaded version of coccinelle package to
http://people.debian.org/~eugen/coccinelle/ . It works, but it is not
finished yet. copyright file is not filled, python deps are not complete,
and other things in debian/TODO.

Regards,
Eugeniy Meshcheryakov
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 512658 added: 516109 Request was from Євгеній Мещеряков <eugen@debian.org> to control@bugs.debian.org. (Thu, 19 Feb 2009 11:33:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>:
Bug#512658; Package wnpp. (Thu, 05 Mar 2009 21:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugeniy Meshcheryakov <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Євгеній Мещеряков" <eugen@debian.org>. (Thu, 05 Mar 2009 21:15:07 GMT) Full text and rfc822 format available.

Message #47 received at 512658@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugen@debian.org>
To: Debian Bug Tracking System <512658@bugs.debian.org>
Cc: control@bugs.debian.org
Subject: Re: ITP: coccinelle -- semantic patching tool for C
Date: Thu, 5 Mar 2009 22:11:31 +0100
[Message part 1 (text/plain, inline)]
tags 512658 + pending
thanks

I uploaded the package. It is also available here:
   http://people.debian.org/~eugen/coccinelle/
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Eugeniy Meshcheryakov <eugen@debian.org> to control@bugs.debian.org. (Thu, 05 Mar 2009 21:15:14 GMT) Full text and rfc822 format available.

Reply sent to Євгеній Мещеряков <eugen@debian.org>:
You have taken responsibility. (Sat, 28 Mar 2009 17:12:07 GMT) Full text and rfc822 format available.

Notification sent to Євгеній Мещеряков <eugen@debian.org>:
Bug acknowledged by developer. (Sat, 28 Mar 2009 17:12:07 GMT) Full text and rfc822 format available.

Message #54 received at 512658-close@bugs.debian.org (full text, mbox):

From: Євгеній Мещеряков <eugen@debian.org>
To: 512658-close@bugs.debian.org
Subject: Bug#512658: fixed in coccinelle 0.1.5dbs-1
Date: Sat, 28 Mar 2009 16:49:54 +0000
Source: coccinelle
Source-Version: 0.1.5dbs-1

We believe that the bug you reported is fixed in the latest version of
coccinelle, which is due to be installed in the Debian FTP archive:

coccinelle_0.1.5dbs-1.diff.gz
  to pool/main/c/coccinelle/coccinelle_0.1.5dbs-1.diff.gz
coccinelle_0.1.5dbs-1.dsc
  to pool/main/c/coccinelle/coccinelle_0.1.5dbs-1.dsc
coccinelle_0.1.5dbs-1_all.deb
  to pool/main/c/coccinelle/coccinelle_0.1.5dbs-1_all.deb
coccinelle_0.1.5dbs.orig.tar.gz
  to pool/main/c/coccinelle/coccinelle_0.1.5dbs.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 512658@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Євгеній Мещеряков <eugen@debian.org> (supplier of updated coccinelle package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Mar 2009 20:57:48 +0100
Source: coccinelle
Binary: coccinelle
Architecture: source all
Version: 0.1.5dbs-1
Distribution: unstable
Urgency: low
Maintainer: Євгеній Мещеряков <eugen@debian.org>
Changed-By: Євгеній Мещеряков <eugen@debian.org>
Description: 
 coccinelle - semantic patching tool for C
Closes: 512658
Changes: 
 coccinelle (0.1.5dbs-1) unstable; urgency=low
 .
   * Initial release (Closes: #512658)
Checksums-Sha1: 
 c4561cc54a4d78607b471774f8733b03259917dc 1299 coccinelle_0.1.5dbs-1.dsc
 aa454829e2526c7aebd6deb4602940a63f6e0c0d 1370248 coccinelle_0.1.5dbs.orig.tar.gz
 830c6e98a3f757a708e424c893451b865befac0e 5819 coccinelle_0.1.5dbs-1.diff.gz
 5a3fcb88f6c86a6b849fdc87a976f6208e76de75 629448 coccinelle_0.1.5dbs-1_all.deb
Checksums-Sha256: 
 961d7f173affe3898b3a99b5b05f615f29d28a12e663ea12def5a7fcfab65d92 1299 coccinelle_0.1.5dbs-1.dsc
 89a9a591d5b0ee47640ec37b33e3920123efcf23df17c94e36e7d71774c27182 1370248 coccinelle_0.1.5dbs.orig.tar.gz
 b607464503817faf3d44c3df71809a2e705056465a5493454b416a0f175160e1 5819 coccinelle_0.1.5dbs-1.diff.gz
 919c9ea2bcaba7f0d20dbff5355eef80fa24967f28783b3ab4125e07d338453a 629448 coccinelle_0.1.5dbs-1_all.deb
Files: 
 59bb350dd2cece36a785e11220fcc504 1299 devel optional coccinelle_0.1.5dbs-1.dsc
 a89c35709eb8fec924a74ff97aeb3da1 1370248 devel optional coccinelle_0.1.5dbs.orig.tar.gz
 acf4165b1c0d593bcded3fe657574ba4 5819 devel optional coccinelle_0.1.5dbs-1.diff.gz
 b425ca66e7488f7de987e7f0158c25fa 629448 devel optional coccinelle_0.1.5dbs-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmwMMwACgkQKaC6+zmozOLMrACfS17uy70BHtdgHFBODN8kwqbu
yIgAnjok0boll7sQuEos910IFUN5xryV
=PYvD
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Apr 2009 07:30:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:06:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.